<script>
  export let nodes = [];
</script>

<style>
  ul {
    list-style-type: none;
    padding-inline-start: 3em;
  }
</style>

<ul>
  {#each nodes as node (node.id)}
  <li>
    <span>Stufe {node.hierarchyLevel}: <b>{node.name}</b> ({node.role}, Gehaltsstufe: {node.payGrade})</span>
    {#if node.children && node.children.length > 0}
    <svelte:self nodes="{node.children}" />
    {/if}
  </li>
  {/each}
</ul>


